Import From Direct Url
curl --request POST \
--url https://api.example.com/api/import/direct \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"image_specificity": "fine",
"convert_tables": true,
"project_id": "<string>",
"dataset_name": "<string>",
"branch_name": "<string>",
"target_dataset_id": "<string>",
"mode": "replace"
}
'import requests
url = "https://api.example.com/api/import/direct"
payload = {
"url": "<string>",
"image_specificity": "fine",
"convert_tables": True,
"project_id": "<string>",
"dataset_name": "<string>",
"branch_name": "<string>",
"target_dataset_id": "<string>",
"mode": "replace"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
image_specificity: 'fine',
convert_tables: true,
project_id: '<string>',
dataset_name: '<string>',
branch_name: '<string>',
target_dataset_id: '<string>',
mode: 'replace'
})
};
fetch('https://api.example.com/api/import/direct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"status": "<string>",
"dataset_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}imports
Import From Direct Url
POST
/
api
/
import
/
direct
Import From Direct Url
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Cookies
Body
application/json
Direct archive URL (.zip/.tar/.tar.gz/.tgz)
Fine for medical imaging specificity, broad for general imaging.
Available options:
fine, broad Convert Parquet/Arrow table datasets into raw files when needed.
Optional project UUID to attach the imported dataset to.
Optional display name for the dataset folder.
Maximum string length:
120Optional initial branch name for the created dataset.
Maximum string length:
255Optional existing dataset UUID to append/replace data instead of creating a new dataset.
When target_dataset_id is provided, either append into existing data or replace it.
Available options:
append, replace ⌘I

